Subject: bug#57385: 28.1.91; project-find-regexp fails over tramp

From: André A. Gomes <[email-masked]>
Date: Thu, 25 Aug 2022 19:24:43 +0300

Dmitry Gutov <[email-masked]> writes:

>> Okay... Does it happen on one particular host, or with any directory
>> visited over Tramp?
>> I usually test Tramp functionality over the 'sudo' adapter.
>> E.g. /sudo:root@localhost:~/...
>
> BTW, is there any chance that you don't have Git installed on the remote
> host?

I have, but Tramp was not being able to find it.  I've solved that, but
now I'm stuck again...

--8<---------------cut here---------------start------------->8---
File is missing: /ssh:termux:/data/data/com.termux/files/home/repos/sbcl/.gitmodules
File is missing: Setting file times No such file or directory /data/data/com.termux/files/usr/tmp/tramp.sSmuQG
tramp-error: Setting file times No such file or directory /data/data/com.termux/files/usr/tmp/tramp.sSmuQG
--8<---------------cut here---------------end--------------->8---

It seems that Tramp isn't being able to read/write from the tmp
directory, but I can't figure out why.  Also, I don't get why it
complains about the fact that a git repository has no .gitmodules file.

Any idea?  Thanks again.

-- 
André A. Gomes
"You cannot even find the ruins..."